unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls;

const
  RADIOGROUPMAX = 10;
type

  { TForm1 }

  TForm1 = class(TForm)
    ScrollBox1: TScrollBox;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    RadioGroups: array[1..RADIOGROUPMAX] of TRadioGroup;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.FormCreate(Sender: TObject);
var
  i, j: integer;
begin
  for i := 1 to RADIOGROUPMAX do
  begin
    RadioGroups[i] := TRadioGroup.Create(Form1);
    RadioGroups[i].Parent := ScrollBox1;
    RadioGroups[i].Left := 100 + i * 10;
    RadioGroups[i].Height := 200;
    RadioGroups[i].Top := 100 + i * 10;
    RadioGroups[i].Width := 300;
    RadioGroups[i].AutoFill := True;
    RadioGroups[i].Caption := Format('RadioGroup%d', [i]);
    RadioGroups[i].ChildSizing.LeftRightSpacing := 25;
    RadioGroups[i].ChildSizing.TopBottomSpacing := 25;
    RadioGroups[i].ChildSizing.EnlargeHorizontal := crsHomogenousChildResize;
    RadioGroups[i].ChildSizing.EnlargeVertical := crsHomogenousChildResize;
    RadioGroups[i].ChildSizing.ShrinkHorizontal := crsScaleChilds;
    RadioGroups[i].ChildSizing.ShrinkVertical := crsScaleChilds;
    RadioGroups[i].ChildSizing.Layout := cclLeftToRightThenTopToBottom;
    RadioGroups[i].ChildSizing.ControlsPerLine := 1;
    RadioGroups[i].Align := alTop;
    for j := 1 to 3 do RadioGroups[i].Items.Add(Format('RadioGroup%d.Item%d', [i, j]));
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
var
  i: integer;
begin
  for i := 1 to RADIOGROUPMAX do
  begin
    RadioGroups[i].Free;
    RadioGroups[i] := nil;
  end;
end;

end.

